curl --request GET \
--url https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isActive": true,
"registrationDate": "2020-04-15T10:08:04.246Z",
"expiryDate": "2020-04-15T10:08:04.246Z",
"roles": "customer",
"name": {
"first": "Pat",
"middle": "E",
"last": "Kake"
},
"phone": [
{
"number": "555-123-4567",
"countryCode": "+91",
"extenstion": "x-6789",
"kind": "Mobile"
}
],
"email": "test@mail.com",
"extra": {},
"registrationSite": "XXX",
"account": "xxxxxcxxxxxxxxxxxxxx",
"userId": "6169b2d892a5f30009d76480",
"address": [
{
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"email": "test@mail.com",
"isValidated": true,
"isDefault": true,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
}
}
],
"provider": [
{
"id": "6228f647a257734d91dbb49f",
"name": "LOCAL",
"isActive": true,
"registrationDate": "2020-04-15T10:08:04.246Z",
"lastLoginDate": "2020-04-15T10:08:04.246Z"
}
],
"createdAt": "2020-04-15T10:08:04.246Z",
"updatedAt": "2020-04-15T10:08:04.246Z"
}{
"error": "USER_NOT_FOUND",
"code": "404",
"message": "User not found"
}{
"error": "INTERNAL_SERVER_ERROR",
"code": "500",
"message": "Internal server error"
}Get user
Get user details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
User ID
"6169b2d892a5f30009d76480"
Response
OK
User
true: User is active
false: User is not active
true
Time user was registered
"2020-04-15T10:08:04.246Z"
Time user's registration expires
"2020-04-15T10:08:04.246Z"
User roles
"customer"
User's full name
Show child attributes
Show child attributes
User's telephone numbers and details
Show child attributes
Show child attributes
User's email address
"test@mail.com"
Extra user details
XXX
"XXX"
Merchant account ID
"xxxxxcxxxxxxxxxxxxxx"
User ID
"6169b2d892a5f30009d76480"
User address
Show child attributes
Show child attributes
Additional user details
Show child attributes
Show child attributes
Time user was created
"2020-04-15T10:08:04.246Z"
Time user was last updated
"2020-04-15T10:08:04.246Z"
Was this page helpful?
